Skip to main content
GET
/
v2
/
payment
/
settlements
Get list of settlements
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v2/payment/settlements \
  --header 'x-auth-token: <api-key>' \
  --header 'x-idempotency-key: <x-idempotency-key>'
{
  "total_pages": 10,
  "total_items": 105,
  "data": [
    {
      "settlement_id": "ST1945730404245835776",
      "account_id": "a7b92a19-bfc3-4c8b-8a4f-cfcf74cab345",
      "account_name": "UQPAY PTE. LTD.",
      "source_type": "PAYMENT",
      "transaction_type": "PAYMENT",
      "merchant_order_id": "<string>",
      "payment_intent_id": "PI1234567890123456789",
      "payment_method": "card",
      "transaction_create_date": "2024-03-01T00:00:00+08:00",
      "transaction_amount": "7.77",
      "transaction_currency": "SGD",
      "transaction_date": "2025-07-17T14:20:50+08:00",
      "settlement_amount": "7.77",
      "settlement_currency": "SGD",
      "net_settlement_amount": "8.11",
      "exchange_rate": "1",
      "fee_currency": "SGD",
      "interchange_fee": "0",
      "scheme_fee": "0",
      "transcation_fee": "0.34",
      "return_fee": "0",
      "total_fee_amount": "0.34",
      "settlement_status": "SUCCESS",
      "settlement_batch_id": "SB1947180993781698560",
      "settlement_create_date": "2025-07-17T14:20:52+08:00",
      "settlement_date": "2025-07-21T14:25:01+08:00"
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

x-idempotency-key
string<uuid>
required

A unique identifier (UUID) used to maintain operation idempotency, ensuring that repeated executions of the same operation do not result in unintended effects or duplication. It helps preserve data consistency in the face of network errors, retries, or failures.

Query Parameters

payment_intent_id
string

The unique ID of a payment intent.

Example:

"PI1945730395043532800"

settlement_batch_id
string

Identifier of the settlement batch.

Example:

"SB1947180993781698560"

settled_start_time
string

Inclusive start date used to filter by settlement_date, in YYYY-MM-DD format. Time is based on UTC+8.

Example: '2025-07-01' means settlement_date ≥ 2025-07-01T00:00:00 (UTC+8).

Example:

"2025-07-01"

settled_end_time
string

Inclusive end date used to filter by settlement_date, in YYYY-MM-DD format. Time is based on UTC+8.

Example: '2025-07-31' means settlement_date ≤ 2025-07-31T23:59:59 (UTC+8).

Example:

"2025-07-31"

page_number
integer
required

The page number to retrieve the next set of items. The number has to be greater than 1.

Required range: x >= 1
Example:

1

page_size
integer
required

The maximum number of items to return per page. This number can be between 1 - 100

Required range: 1 <= x <= 100
Example:

10

Response

200 - application/json

List of settlements retrieved successfully

total_pages
integer

The total pages of available items.

Example:

10

total_items
integer

The total counts of available items.

Example:

105

data
object[]